DCMTK: DiCubicSpline< T1, T2, T3 > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
DiCubicSpline< T1, T2, T3 > Class Template Reference

Template class for cubic spline interpolation. More...

## Static Public Member Functions
static int | Function (const T1 *x, const T2 *y, const unsigned int n, T3 *y2, const T3 yp1=1.0e30, const T3 ypn=1.0e30)
| calculate spline function for given points.
static int | Interpolation (const T1 *xa, const T2 *ya, const T3 *y2a, const unsigned int na, const T1 *x, T2 *y, const unsigned int n)
| perform cubic spline interpolation for given points.

## Detailed Description

template<class T1, class T2, class T3 = double>
class DiCubicSpline< T1, T2, T3 >

Template class for cubic spline interpolation.

## Member Function Documentation

## ◆ Function()

template<class T1, class T2, class T3 = double>

static int DiCubicSpline< T1, T2, T3 >::Function | ( | const T1 * | x,
|  | const T2 * | y,
|  | const unsigned int | n,
|  | T3 * | y2,
|  | const T3 | yp1 = 1.0e30,
|  | const T3 | ypn = 1.0e30 )
| inlinestatic

calculate spline function for given points.

T1 = type of x coordinates T2 = type of y coordinates T3 = type of y coordinates of the spline function

Parameters

  x | array with x coordinates of given points
  y | array with y coordinates of given points
  n | number of entries in array (= points)
  y2 | array used to store the resulting spline function (used for CubicSplineInterpolation)
  yp1 | first derivative of the interpolating function at point 1
  ypn | first derivative of the interpolating function at point n

Returns
  true if successful, false otherwise

## ◆ Interpolation()

template<class T1, class T2, class T3 = double>

static int DiCubicSpline< T1, T2, T3 >::Interpolation | ( | const T1 * | xa,
|  | const T2 * | ya,
|  | const T3 * | y2a,
|  | const unsigned int | na,
|  | const T1 * | x,
|  | T2 * | y,
|  | const unsigned int | n )
| inlinestatic

perform cubic spline interpolation for given points.

T1 = type of x coordinates T2 = type of y coordinates T3 = type of y coordinates of the spline function

Parameters

  xa | array with x coordinates of given points
  ya | array with y coordinates of given points
  y2a | array used to store the resulting spline function (calculated by CubicSplineFunction)
  na | number of entries in above arrays (xa, ya and y2a)
  x | array with x coordinates of points to be interpolated
  y | array used to store interpolated values
  n | number of entries in above array (x and y)

Returns
  true if successful, false otherwise

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/displint.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2